Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Bulk Create Tags

Creates multiple tags in a single request. Returns lists of successful and failed tag creations with detailed error reasons.

POST/api/v1/{team_slug}/{app_slug}/tags/bulk
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired

Team slug

app_slugstringrequired

App slug

Request body
requiredapplication/json

Tags data to create

tagsinternal_pkg_webserver_v1.CreateTagPayload[]required
max items 50
Show properties
Array of internal_pkg_webserver_v1.CreateTagPayload
attributes_keysstring[]
filterableboolean
keystringrequired
min length 0
namestringrequired
min length 0
statusstringrequired
Allowed:activeinactivearchiveddraft
Responses
201

Tags created successfully

datainternal_pkg_webserver_v1.BulkCreateTagsResponserequired
Show properties
failedinternal_pkg_webserver_v1.BulkCreateTagFailedCreation[] | null
Show properties
Array of internal_pkg_webserver_v1.BulkCreateTagFailedCreation
keystring
reasonstring
successfulgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Tag[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Tag
attributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
created_atstring
descriptionstring | null
filterableboolean | null
idstring
keystring
namestring | null
template_keystring
template_namestring
translatableboolean | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
Show properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
updated_atstring | null
valuesobject | null
created_atstring
filterableboolean
idstring
keystring
marketsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Market[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Market
activeboolean
country_codesstring[] | null
created_atstring
currency_codestring
idstring
localestring
namestring
slugstring
updated_atstring | null
namestring
schedulesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Job[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Job
add_category_namesstring[]
add_collection_namesstring[]
add_tag_namesstring[]
execute_atstring

Date when the job should run

finished_atstring | null

If a job is finished will this timestamp be filled

group_idstring
idstring
item_idstring
item_namestring
item_typestring
remove_category_namesstring[]
remove_collection_namesstring[]
remove_tag_namesstring[]
to_amount_cents_with_taxinteger | null
to_market_idstring
to_market_statusstring
to_on_saleboolean | null
to_sale_amount_cents_with_taxinteger | null
to_start_sale_timestampstring
to_statusstring | null
to_stop_sale_timestampstring
to_store_group_idstring
statusstring
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.TagTranslations
Show properties
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.enad.io/api/v1/string/string/tags/bulk' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "tags": [
    {
      "attributes_keys": [
        "string"
      ],
      "filterable": true,
      "key": "string",
      "name": "string",
      "status": "active"
    }
  ]
}'
Response
{
  "data": {
    "failed": [
      {
        "key": "string",
        "reason": "string"
      }
    ],
    "successful": [
      {
        "attributes": [
          {
            "created_at": "string",
            "description": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "name": "string",
            "template_key": "string",
            "template_name": "string",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "values": {
              "property1": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              },
              "property2": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              }
            }
          }
        ],
        "created_at": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "markets": [
          {
            "active": true,
            "country_codes": [
              "string"
            ],
            "created_at": "string",
            "currency_code": "string",
            "id": "string",
            "locale": "string",
            "name": "string",
            "slug": "string",
            "updated_at": "string"
          }
        ],
        "name": "string",
        "schedules": [
          {
            "add_category_names": [
              "string"
            ],
            "add_collection_names": [
              "string"
            ],
            "add_tag_names": [
              "string"
            ],
            "execute_at": "string",
            "finished_at": "string",
            "group_id": "string",
            "id": "string",
            "item_id": "string",
            "item_name": "string",
            "item_type": "string",
            "remove_category_names": [
              "string"
            ],
            "remove_collection_names": [
              "string"
            ],
            "remove_tag_names": [
              "string"
            ],
            "to_amount_cents_with_tax": 0,
            "to_market_id": "string",
            "to_market_status": "string",
            "to_on_sale": true,
            "to_sale_amount_cents_with_tax": 0,
            "to_start_sale_timestamp": "string",
            "to_status": "string",
            "to_stop_sale_timestamp": "string",
            "to_store_group_id": "string"
          }
        ],
        "status": "string",
        "translations": {
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}